IBExWalletAPI

User's signers

Return all signers for the authenticated user. Each signer is either a passkey (WebAuthn credential) or an EOA wallet (Externally Owned Account). The type field indicates PASSKEY, EOA, or EMAIL_TOKEN. Passkeys include key name and display name. Each signer may own one or more Safe wallets.

GET
/v1.2/users/me/signers

Authorization

AuthorizationRequiredBearer <token>

In: header

curl -X GET "https://passkeys-testnet.ibex.fi/v1.2/users/me/signers" \
  -H "Authorization: Bearer <token>"

Default Response

{
  "count": 0,
  "signers": [
    {
      "id": "string",
      "type": "string",
      "typeDescription": "string",
      "walletMode": "string",
      "keyName": "string",
      "keyDisplayName": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "safesCount": 0
    }
  ]
}